Subject: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Daniel Mendler <[email-masked]>
Date: Thu, 10 Jul 2025 15:23:45 +0200

Stéphane Marks <[email-masked]> writes:

> What if, instead, each tab's content would shrink to fit? This is
> closer to how web browsers fit tabs. There are browser extensions that
> offer multiple lines or scroll left/right, but I find those more
> annoying since I can't see them all.

Yes, this would be great, as long as each tab bar field would shrink,
not only the tabs themselves at the very left. For me the overflow
happens not only because I have too many tabs but because my system bar
gets too long.

However I suspect that such shrinking behavior is harder to implement
nicely, in contrast to simple truncation.

Daniel